import Utils from '@/utils/utils.js'
import zhCN from '@/locales/zh-CN/model.js'
import enUS from '@/locales/en-US/model.js'

const CommonDict = sessionStorage.getItem('lang') !== 'en-US' ? zhCN : enUS

class CommonTableBaseData {
  baseConfig = {
    Template: 'FormTab',
    enabled: false,
    setting: {
      datatype: 'query',
      cols: '2',
      width: 90
    },
    tables: [],
    groups: [
      {
        isDefault: true,
        uuid: Utils.getuuid(),
        label: 'label',
        sort: 101,
        sublist: [
          {
            origin: true,
            uuid: Utils.getuuid(),
            label: 'label',
            field: '',
            initval: '',
            type: 'text',
            resourceType: '0',
            setAll: 'false',
            options: [],
            orderType: 'asc'
          }, {
            origin: true,
            uuid: Utils.getuuid(),
            label: 'label',
            field: '',
            initval: '',
            type: 'select',
            resourceType: '0',
            setAll: 'false',
            options: [],
            orderType: 'asc'
          }, {
            origin: true,
            uuid: Utils.getuuid(),
            label: 'label',
            field: '',
            initval: '',
            type: 'date',
            resourceType: '0',
            setAll: 'false',
            options: [],
            orderType: 'asc'
          }
        ]
      }
    ],
    action: [
      {
        btnType: 'confirm',
        uuid: Utils.getuuid(),
        label: '确定',
        intertype: 'system',
        innerFunc: '',
        interface: '',
        outerFunc: '',
        sql: '',
        sqlType: '',
        callbackFunc: '',
        Ot: 'notRequired',
        execSuccess: 'grid',
        execError: 'never',
        OpenType: 'exec',
        icon: '',
        class: 'border-primary',
        verify: null
      }, {
        btnType: 'cancel',
        uuid: Utils.getuuid(),
        label: '关闭',
        execSuccess: 'grid',
        execError: 'never',
        OpenType: 'exec',
        pageTemplate: '',
        url: '',
        icon: '',
        class: 'border-danger'
      }
    ],
    tabgroups: [{
      uuid: 'tabs',
      sublist: [
        {
          origin: true,          // 是否为示例
          uuid: Utils.getuuid(),
          label: 'tab1',
          type: 'SubTable',
          linkTab: '',
          supMenu: ''
        },
        {
          origin: true,
          uuid: Utils.getuuid(),
          label: 'tab2',
          type: 'SubTable',
          linkTab: '',
          supMenu: ''
        }
      ]
    }]
  }

  searchItems = [
    {
      type: 'search',
      label: '文本',
      subType: 'text',
      url: ''
    },
    {
      type: 'search',
      label: '数字',
      subType: 'number',
      url: ''
    },
    {
      type: 'search',
      label: '下拉选择',
      subType: 'select',
      url: ''
    },
    {
      type: 'search',
      label: '文件上传',
      subType: 'fileupload',
      url: ''
    },
    {
      type: 'search',
      label: '时间（天）',
      subType: 'date',
      url: ''
    },
    {
      type: 'search',
      label: '时间（月）',
      subType: 'datemonth',
      url: ''
    },
    {
      type: 'search',
      label: '时间（秒）',
      subType: 'datetime',
      url: ''
    },
    {
      type: 'search',
      label: '多行文本',
      subType: 'textarea',
      url: ''
    }
  ]

  actionItems = [
    {
      type: 'action',
      label: CommonDict['model.form.prompt'],
      subType: 'prompt',
      url: ''
    },
    {
      type: 'action',
      label: CommonDict['model.form.exec'],
      subType: 'exec',
      url: ''
    }
  ]

  tabItems = [
    {
      type: 'tabs',
      label: CommonDict['model.menu.tab.subtable'],
      subType: 'SubTable',
    }
  ]
}

export default new CommonTableBaseData()
